const {Menu} = require('electron')
const electron = require('electron')
const app = electron.app



const template = [
  {
    label: 'Edit',
    submenu: [
      {
        role: 'undo', label: 'Undo'
      },
      {
        role: 'redo', label: 'Redo'
      },
      {
        type: 'separator'
      },
      {
        role: 'cut', label: 'Cut'
      },
      {
        role: 'copy', label: 'Copy'
      },
      {
        role: 'paste', label: 'Paste'
      },
      {
        role: 'delete', label: 'Delete'
      },
      {
        role: 'selectall', label: 'Select all'
      }
    ]
  },
  {
    label: 'View',
    submenu: [
      {
        role: 'resetzoom', label: 'Actual size'
      },
      {
        role: 'zoomin', label: 'Zoom in'
      },
      {
        role: 'zoomout', label: 'Zoom out'
      },
      {
        type: 'separator'
      },
      {
        role: 'togglefullscreen', label: 'Toggle fullscreen'
      }
    ]
  },
  {
    role: 'window', label: 'Window',
    submenu: [
      {
		label: 'Print',
		accelerator: "CmdOrCtrl+P",
		click (menuItem, currentWindow) {
	    	currentWindow.webContents.print()
		}
	},
	 {
        type: 'separator'
      },
	{
        role: 'minimize', label: 'Minimize'
      },
      {
        role: 'close', label: 'Close'
      }
    ]
  },
  {
    role: 'help', label: 'Help',
    submenu: [
      {
        label: 'Learn more',
        click () { require('electron').shell.openExternal('https://outplanr.zendesk.com/hc/en-us') }
      }
    ]
  }
]

if (process.platform === 'darwin') {
  const name = app.getName()
  template.unshift({
    label: name,
    submenu: [
      {
        role: 'about', label: 'About' + " " + app.getName() 
      },
      {
        type: 'separator'
      },
       {
	   	label: 'Reload',
        accelerator: 'CmdOrCtrl+R',
        click (item, focusedWindow) {
          if (focusedWindow) focusedWindow.reload()
        }
      },
      {
        type: 'separator'
      },
      {
        role: 'hide', label: 'Hide' + " " + app.getName()
      },
      {
        role: 'hideothers', label: 'Hide others'
      },
      {
        role: 'unhide', label: 'Unhide'
      },
      {
        type: 'separator'
      },
      {
        role: 'quit', label: 'Quit' + " " + app.getName()
      }
    ]
  })

  template[3].submenu = [
	{
		label: 'Print',
		accelerator: "CmdOrCtrl+P",
		click (menuItem, currentWindow) {
	    	currentWindow.webContents.print()
		}
	},
	 {
	    type: 'separator'
	  },
    {
      label: 'Close',
      accelerator: 'CmdOrCtrl+W',
      role: 'close'
    },
    {
      label: 'Minimize',
      accelerator: 'CmdOrCtrl+M',
      role: 'minimize'
    },
    {
      label: 'Zoom',
      role: 'zoom'
    },
    {
      type: 'separator'
    },
    {
      label: 'Bring all to front',
      role: 'front'
    }
  ]
}else{
	const name = app.getName();
	template.unshift({
    	label: name,
		submenu: [
			{
				 label:  app.getName()+" "+ app.getVersion(),
				 enabled: false
      		},
	      {
	        type: 'separator'
	      },
	       {
		   	label: 'Reload',
	        accelerator: 'CmdOrCtrl+R',
	        click (item, focusedWindow) {
	          if (focusedWindow) focusedWindow.reload()
	        }
	      },
	      {
	        type: 'separator'
	      },
	      {
	        role: 'quit', label: 'Quit' + " " + app.getName()
	      }
	      ]
	})
      		
}

const menu = Menu.buildFromTemplate(template)
Menu.setApplicationMenu(menu)
